import { Injectable } from '@angular/core';
import { RxWebsocketSubject } from 'app/commons/core/rx/websocket/rx-websocket-subject';
import { Observable } from 'rxjs/Observable';



@Injectable()
export class APIService {
  private wsSocketSubject: RxWebsocketSubject<Object>;

  constructor() {
    this.wsSocketSubject = new RxWebsocketSubject<Object>('');
  }

  public connect(): void {
    this.wsSocketSubject.connect();
    this.wsSocketSubject.subscribe(
      (value: Object) => {
        this.onMessage(value);
      },
      (error: any) => {
        this.onError(error);
      },
      () => {

      }
    );
  }

  public getConnectionStatus(): Observable<boolean> {
    return this.wsSocketSubject.connectionStatus;
  }

  private onMessage(message: Object): void {
    //
  }

  private onError(error: any): void {
    //
  }

  private onDisconnected(): void {
    //
  }
}
