import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AuthPageComponent } from './auth-page.component';

const routes: Routes = [
  {
    path: '',
    component: AuthPageComponent,
    children: [
      { path: '', redirectTo: 'signin' },
      { path: 'signin', loadChildren: './signin/signin-page.module#SigninPageModule' },
      { path: 'signup', loadChildren: './signup/signup-page.module#SignupPageModule' },
      { path: 'reset-password', loadChildren: './reset-password/reset-password-page.module#ResetPasswordPageModule' },
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AuthPageRoutingModule { }

