import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { PagesComponent } from './pages.component';

const routes: Routes = [
  {
    path: '',
    component: PagesComponent,
    children: [
      { path: '', redirectTo: 'home' },
      { path: 'home', loadChildren: './home/home-page.module#HomePageModule' },
      { path: 'probes', loadChildren: './probes/probes-page.module#ProbesPageModule' },
      { path: 'probe', loadChildren: './probe/probe-page.module#ProbePageModule' },
      { path: 'discovery', loadChildren: './discovery/discovery-page.module#DiscoveryPageModule' },
      { path: 'map', loadChildren: './infra/infra-page.module#InfraPageModule' },
      { path: 'sensor-setting', loadChildren: './sensor-setting/sensor-setting-page.module#SensorSettingPageModule' },
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class PagesRoutingModule { }
