import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ProbePageComponent } from './probe-page.component';
import { DetailComponent as ProbeDetailComponent } from 'app/packages/probe/component/detail/detail.component';
import { ListComponent as TargetListComponent } from 'app/packages/target/component/list/list.component';

const routes: Routes = [
  {
    path: '',
    component: ProbePageComponent,
    children: [
      { path: ':id', component: ProbeDetailComponent },
      { path: ':id/targets', loadChildren: 'app/pages/targets/targets-page.module#TargetsPageModule'},
      { path: ':id/history', component: ProbeDetailComponent },
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ProbesPageRoutingModule { }
